precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp int isPreview;
uniform float u_offset;
void main()
{
    vec4 originColor = texture2D(inputImageTexture, textureCoordinate);
    if(isPreview == 1 && originColor.a == 0.0) discard;
    vec4 offsetColor0 = texture2D(inputImageTexture, vec2(textureCoordinate.x + u_offset, textureCoordinate.y + u_offset));
    vec4 offsetColor1 = texture2D(inputImageTexture, vec2(textureCoordinate.x - u_offset, textureCoordinate.y - u_offset));
    gl_FragColor = vec4(originColor.r, offsetColor1.g, offsetColor0.b, originColor.a);
}