precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp int isPreview;
uniform vec2 texSize;
void main() {
    vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    if(isPreview == 1 && textureColor.a == 0.0) discard;
    vec2 pixelSize = vec2(texSize.x/100.0, texSize.y/100.0);
    vec2 uv = textureCoordinate.xy;
    float dx = pixelSize.x*(1./texSize.x);
    float dy = pixelSize.y*(1./texSize.y);
    vec2 coord = vec2(dx*floor(uv.x/dx), dy*floor(uv.y/dy));
    gl_FragColor = vec4(texture2D(inputImageTexture, coord).rgb, textureColor.a);
}