precision highp float;
uniform vec2 u_ScanLineJitter;
uniform float u_ColorDrift;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp int isPreview;

float nrand(in float x,in float y){
    return fract(sin(dot(vec2(x,y) ,vec2(12.9898,78.233))) * 43758.5453);
}

void main()
{
    vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    if(isPreview == 1 && textureColor.a == 0.0) discard;
    float v = textureCoordinate.x;
    float u = textureCoordinate.y;
    float jitter = nrand(v ,0.0) * 2.0 - 1.0;
    float drift = u_ColorDrift;
    float offsetParam = step(u_ScanLineJitter.y,abs(jitter));
    jitter = jitter * offsetParam * u_ScanLineJitter.x;
    vec4 color1 = texture2D(inputImageTexture, fract(vec2(v, u + jitter)));
    vec4 color2 = texture2D(inputImageTexture, fract(vec2(v, u + jitter + v * drift)));
    gl_FragColor = vec4(color1.r, color2.g, color1.b, textureColor.a);
}