precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp int isPreview;
uniform vec2 texSize;
void main() {
    vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    if(isPreview == 1 && textureColor.a == 0.0) discard;
    float size = texSize.x / 100.0;
    float radius = size * 0.5;
    vec2 fragCoord = textureCoordinate * texSize.xy;
    vec2 quadPos = floor(fragCoord.xy / size) * size;
    vec2 quad = quadPos/texSize.xy;
    vec2 quadCenter = (quadPos + size/2.0);
    float dist = length(quadCenter - fragCoord.xy);
    if (dist > radius) {
        gl_FragColor = vec4(0.25);
    } else {
        gl_FragColor = vec4(texture2D(inputImageTexture, quad).rgb, textureColor.a);
    }
}