precision highp float;
const float PI = 3.1415926535;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp int isPreview;
void main() {
    float aperture = 158.0;
    float apertureHalf = 0.5 * aperture * (PI / 180.0);
    float maxFactor = sin(apertureHalf);
    vec2 uv;
    vec2 xy = 2.0 * textureCoordinate.xy - 1.0;
    float d = length(xy);
    if (d < (2.0 - maxFactor)) {
        d = length(xy * maxFactor);
        float z = sqrt(1.0 - d * d);
        float r = atan(d, z) / PI;
        float phi = atan(xy.y, xy.x);
        uv.x = r * cos(phi) + 0.5;
        uv.y = r * sin(phi) + 0.5;
    } else {
        uv = textureCoordinate.xy;
    }
    gl_FragColor = texture2D(inputImageTexture, uv);
}