precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp int isPreview;
uniform float u_offset;
uniform vec2 texSize;
const float PI = 3.141592653;
void main()
{
    vec2 imgTex = textureCoordinate * texSize;
    float r = 0.3 * texSize.x;
    if(distance(imgTex, vec2(texSize.x / 2.0, texSize.y / 2.0)) < r)
    {
        vec2 tranTex = textureCoordinate - 0.5;
        vec2 imgTranTex = tranTex * texSize;
        float len = length(imgTranTex);
        float angle = 0.0;

        angle = acos(imgTranTex.x / len);

        if(tranTex.y < 0.0)
        {
            angle *= -1.0;
        }

        angle -= u_offset;

        imgTranTex.x = len * cos(angle);
        imgTranTex.y = len * sin(angle);

        vec2 newTexCoors = imgTranTex / texSize + 0.5;

        gl_FragColor = texture2D(inputImageTexture, newTexCoors);
    }
    else
    {
        gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
    }
}