precision highp float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform lowp int isPreview;
uniform float u_offset;
uniform vec2 texSize;
const float MAX_ALPHA = 0.5;
const float MAX_SCALE = 0.8;
void main()
{
    float alpha = MAX_ALPHA * (1.0 - u_offset);
    float scale = 1.0 + u_offset * MAX_SCALE;

    float scale_x = 0.5 + (textureCoordinate.x - 0.5) / scale;
    float scale_y = 0.5 + (textureCoordinate.y - 0.5) / scale;

    vec2 scaleCoord = vec2(scale_x, scale_y);
    vec4 maskColor =  texture2D(inputImageTexture, scaleCoord);

    vec4 originColor = texture2D(inputImageTexture, textureCoordinate);

    gl_FragColor = originColor * (1.0 - alpha) + maskColor * alpha;
}